Bug 107120 - xemacs get weird fonts when running with UTF-8
xemacs get weird fonts when running with UTF-8
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2003-10-15 03:44 EDT by David Juran
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-16 12:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of emacs with those weird fonts in the menus (67.28 KB, image/jpeg)
2003-10-15 03:48 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2003-10-15 03:44:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
When starting xemacs in a UTF-8 locale, it first spews out "Warning: Missing
charsets in String to FontSet conversion" twice on std. err. and then when when
it starts the fonts in the menus looks weird.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.export LANG=en_US.UTF-8
Comment 1 David Juran 2003-10-15 03:48:31 EDT
Created attachment 95189 [details]
screenshot of emacs with those weird fonts in the menus
Comment 2 Jens Petersen 2003-10-15 07:44:22 EDT
I'm not able to reproduce this with a fresh FC test3 install.

Can you give more details?
Are you running an upgrade from RHL or something?
Comment 3 David Juran 2003-10-15 12:51:38 EDT
This machine was freshly installed with FC test2 and then upgraded (using the
upgrade option on the test 3 cd:s) Should I just make a fresh install?

What kind of details would you need?
rpm -qa ?
Comment 4 David Juran 2003-10-16 12:13:10 EDT
Seems like the error only occurs when log in over remote X from my sunray, since
fonts are then missing.

Note You need to log in before you can comment on or make changes to this bug.